<?php
/** Add query variables for URL management **/
function hr_office_custom_rewrite_tag( $vars ) {
    $shortcode_activated_pages = get_option('hr_office_vacancy_shortcode_activated_pages'); 
    if($shortcode_activated_pages){
        foreach ($shortcode_activated_pages as $key => $slide){
            $post_data = get_post($slide['pageid']);
            $post_nm = ( isset($post_data->post_name ) )?  $post_data->post_name : '';
            if(get_post($slide['shortcodeid'])){
                add_rewrite_tag( '%'.$post_nm.'%', '([^&]+)');
            }        
        }   
    }  
}
add_action( 'init', 'hr_office_custom_rewrite_tag');

/** Create URL rules for job detail and apply / thank you page **/
function hr_office_custom_rewrite_rule() {
    $shortcode_activated_pages = get_option('hr_office_vacancy_shortcode_activated_pages');
    if($shortcode_activated_pages){
        foreach ($shortcode_activated_pages as $key => $slide){        
            $post_data = get_post($slide['pageid']);
            $post_nm = ( isset($post_data->post_name ) )?  $post_data->post_name : '';
            if(get_post($slide['shortcodeid'])){
                add_rewrite_rule('^'.$post_nm.'/([^/]*)/?', 'index.php?'.$post_nm.'=$matches[1]', 'top');    
            }
        }   
    }
        
}
add_action('init', 'hr_office_custom_rewrite_rule', 10, 0);

/** Assinging templates as per URL **/
add_filter( 'template_include', 'hr_office_add_city_to_hierarchy' );
function hr_office_add_city_to_hierarchy( $original_template ) {
    $theme_url = get_stylesheet_directory().'/hr-office-vacancy-listing/plugin-job-single-page.php';     
    if(file_exists($theme_url)){
        $original_template_path = $theme_url;
    }else{
        $original_template_path = plugin_dir_path( __FILE__ ) . 'plugin-job-single-page.php';
    }

    $shortcode_activated_pages = get_option('hr_office_vacancy_shortcode_activated_pages');
    if($shortcode_activated_pages){
        foreach ($shortcode_activated_pages as $key => $slide){       
            $post_data = get_post($slide['pageid']);
            $post_nm = (isset ( $post_data->post_name ) ) ? $post_data->post_name : '';        
            if ( get_query_var( $post_nm, false ) ) { 
                $original_template = $original_template_path;
                break;
            } 
        }  
    }    
    
    return $original_template;
}